using Models;
using UnityEngine;

namespace Utils
{
    /// <summary>
    /// 坐标处理接口
    /// </summary>
    public interface IPoseTransformHandler
    {
        /// <summary>
        /// 传入新收到的坐标点
        /// </summary>
        /// <param name="landmark"></param>
        public void ReceivePoseLandmark(PoseLandmark landmark);

        /// <summary>
        /// 获得处理之后的坐标点
        /// </summary>
        /// <returns></returns>
        public Vector3 GetResultPosition();
    }
}